package com.infoepoch.pms.dispatchassistant.domain.langchain.chat;

import java.util.List;

/**
 * 错误响应实体
 */
public class ErrorResponse {

    private List<Detail> detail;

    public List<Detail> getDetail() {
        return detail;
    }

    public void setDetail(List<Detail> detail) {
        this.detail = detail;
    }

    public class Detail {
        private List<Object> loc;
        private String msg;
        private String type;

        public List<Object> getLoc() {
            return loc;
        }

        public void setLoc(List<Object> loc) {
            this.loc = loc;
        }

        public String getMsg() {
            return msg;
        }

        public void setMsg(String msg) {
            this.msg = msg;
        }

        public String getType() {
            return type;
        }

        public void setType(String type) {
            this.type = type;
        }
    }

}
